| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkExport::TreeReaderTemplateEntry< T > Class Template Referencefinal

Templated utility version of an entry within the tree reader. More...

Inheritance diagram for nkExport::TreeReaderTemplateEntry< T >:

## Public Member Functions
| TreeReaderTemplateEntry (T &target, nkMemory::StringView path)
virtual | ~TreeReaderTemplateEntry ()=default
virtual void | fill (nkExport::Node *) override
Public Member Functions inherited from nkExport::TreeReaderEntry
| TreeReaderEntry (nkMemory::StringView path) noexcept
| TreeReaderEntry (const TreeReaderEntry &) noexcept
| TreeReaderEntry (TreeReaderEntry &&) noexcept
virtual | ~TreeReaderEntry ()
nkMemory::StringView | getPath () const
TreeReaderEntry & | operator= (const TreeReaderEntry &) noexcept
TreeReaderEntry & | operator= (TreeReaderEntry &&) noexcept

## Detailed Description

### template<typename T>
class nkExport::TreeReaderTemplateEntry< T >

Templated utility version of an entry within the tree reader.

## Constructor & Destructor Documentation

## ◆ TreeReaderTemplateEntry()

template<typename T >

nkExport::TreeReaderTemplateEntry< T >::TreeReaderTemplateEntry | ( | T & | target,
|  | nkMemory::StringView | path
| ) |  |

Constructor.

Parameters

  target | The target variable to update.
  path | The path within the tree of the node to update from.

## ◆ ~TreeReaderTemplateEntry()

template<typename T >

virtual nkExport::TreeReaderTemplateEntry< T >::~TreeReaderTemplateEntry | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ fill()

template<typename T >

virtual void nkExport::TreeReaderTemplateEntry< T >::fill | ( | nkExport::Node * |  | ) |
| override virtual

Fills the target from the node provided, using the target path.

Implements nkExport::TreeReaderEntry.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsExport/Tree/Utils/TreeReader.h